For the complete documentation index, see llms.txt. This page is also available as Markdown.

BankTransfer

This endpoint allows you to submit a BankTransfer payout in South Africa.

POST https://sandbox.transfersmile.com/api/payout

Request Body

Parameter
Type
Required
Constraints
Description

name

string

Required

-

Beneficiary's name.

bank_code

string

Required

Use the bank code returned by the Bank Account List API

Beneficiary's bank code.

account

string

Required

Length: 8–13 digits

Beneficiary's bank account number.

fee_bear

string

Required

One of: merchant, beneficiary

Specifies who bears the processing fee.

amount

string

Required

Integer only; min: 200; max: 200000

Payout amount.

source_currency

string

Required

One of: USD, EUR, GBP, ZAR

Merchant account currency.

arrival_currency

string

Required

Fixed value: ZAR

Currency received by the beneficiary.

notify_url

string

Required

Valid URL

The URL to receive payout notifications.

custom_code

string

Required

Max length: 64

Merchant payout order number. Must be unique.

additional_remark

string

Required

The descriptor displayed on the user's bank statement.

Max length: 40 characters.

Additional payout remark.

country

string

Required

Fixed value: ZAF

Beneficiary country.

method

string

Required

Fixed value: BANKTRANSFER

Payout method.

email

string

Required

Valid email

Beneficiary's email address.

Request Sample

{
  "name": "Mu********td",
  "bank_code": "250655",
  "account": "63********78",
  "fee_bear": "merchant",
  "amount": "200.00",
  "source_currency": "USD",
  "arrival_currency": "ZAR",
  "notify_url": "https://sandbox.transfersmile.com/api/notify/demo",
  "custom_code": "custom_code********ok",
  "additional_remark": "banktransfer payout request",
  "country": "ZAF",
  "method": "BANKTRANSFER",
  "email": "test@test.com"
}

Response Sample

Query Bank Code

Use the Bank Account List API to retrieve the supported bank_code values for South Africa BankTransfer payouts.

POST https://api.transfersmile.com/api/payout/bank-account-list

Request Body

Parameter
Type
Required
Constraints
Description

timestamp

string

Required

Unix timestamp

Request timestamp.

method

string

Required

Fixed value: BANKTRANSFER

Payout method.

country

string

Required

Fixed value: ZAF

Country code.

Request Sample

Last updated